﻿

using System.Xml.Serialization;

namespace NewRock.Sdk.Transfer.Connect.Response
{
    [XmlRoot("Event")]
    public class ExtToOuterResponse: NewRockResponse
    {
        [XmlAttribute("attribute")]
        public string Attribute { get; set; }

        [XmlElement("outer")]
        public ExtToOuterOuterResponse Outer { get; set; }

        [XmlElement("ext")]
        public ExtToOuterExtResponse Ext { get; set; }
    }


    public class ExtToOuterOuterResponse
    {
        [XmlAttribute("id")]
        public string Id { get; set; }

        [XmlAttribute("from")]
        public string From { get; set; }

        [XmlAttribute("to")]
        public string To { get; set; }

        [XmlAttribute("trunk")]
        public string Trunk { get; set; }

        [XmlAttribute("callid")]
        public string CallId { get; set; }
    }

    public class ExtToOuterExtResponse
    {
        [XmlAttribute("id")]
        public string Id { get; set; }
    }

}
